From: <a href="/blend/av.cgi?id=900">rennielorca</a><BR>
Date: 4 June 2008<P>

Congrats on the front page digest edition, all! I'm finally catching up on the last few months and up all night to read again. Long comments board, and one of the reasons blender is such a strong community.<BR>
<BR>
Savannah, you have become the mother/child with your husband, and he's comfortable with that--it's safe, secure, and he knows you love him dearly, but he'd just rather not deal with the passionate part. He'd have to grow up to do passionate with you. Right now, he wants what all the guys want in NSA porn. He's using you for what he is secure in knowing about you. You need passion, a real husband, help with his chronic depression that might also need a bit of uncontrolled Viagra boost to break the ice. If that doesn't work, then you need to grow up further than he will now and get a legal separation so that you can be appreciated and touched before you become the shrew with anger that will turn to intense anger at what you were denied over more years. IF he adores you, he'll snap out of this funk with some good counseling and probably some depression meds to get him over the hump. IF he doesn't, hug him and tell him you'll always be decent friends, or maybe even able to connect as lovers again some day. Just remember that one drowning human being can pull the other under during the best of circumstances. The constant time together can sometimes remind a former lover that there are failures and speed bumps that hurt to overcome these. Got enjoy yourself some place decent and work hard on yourself to KNOW you are looking good, gal, and you're desirable. He may just realize that you are more desirable (to others, that's important) than that girl in the porno and find renewed or even new desire for you once he's had to get up and take care of the hearth and home. You'll get what you'll accept in a relationship, or just leave the anger and accept friendship and move on. Make that clear to him in front of a counselor after you've given him a chance to express himself and what's really bothering him to another qualified human being mediating for you. Talk to a lawyer and find out your options rather than wonder what you can do to help work on your marriage, or lack of one after this much time. There could be more to this, and you could be being use with someone else reaping the benefits of your life while you work. Don't go there first in thinking, but do find out IF this might be the case. As you've stated, you have less time frame for a family than he does, so this is an important issue, and a fair one to discuss honestly. Don't live your life so that you have regrets because you've always seemed like such an honest sort here.<BR>
<BR>
And, Kirk, you need to advertise yourself as an avid gamer, but you won't play games with you! when putting your best foot forward with females that interest you. Find someone with one great passion like sewing or reading while you're busy with the games and share the rest of your time together in not being afraid of making a real home together for little ones. You are really fond of kids from what I've seen, and you love yourself enough to love an extension of yourself and the woman you love. People who really love each other enjoy the sound of each other's voice. They talk, they hug, they kiss and never get enough of holding on to each other with their hands or eyes. You'll see them reaching, happily, for the children they've made...or, find a young woman with a child and love it as much as you've come to love her. <BR>
<BR>
Same goes for the gals. Love a man, love his children. Be so happy in love that you can even love them for the time they're bratty. Life's never simple, but all humans are subjected to some sort of rules, so set some fair rules for both partners to abide by whether you're looking for a marriage or already in one. If the marriage isn't going to work, it doesn't have to end in bitterness, but in understanding and retaining some or all of a friendship. Hard feelings get in the way of finding a real relationship and possible marriage down the road. Marriage is romance and passion wrapped in a good, long-term business plan ...... Rennie
<HR>
From: <a href="/blend/av.cgi?id=900">rennielorca</a><BR>
Date: 4 June 2008<P>

In all fairness, I might add that at one time or another I've had to go thru all these similar issues and survived mentally and with a heart that could still love, Savannah and Kirk. We still have our ups and downs, but we've agreed to talk and walk thru these. I have no desire to hurt anyone, but I also know that I deserve love, affection and decent time together. Attraction isn't push-button, and you have to work at it by still setting the mood, making dates and the chance of real fireworks igniting. Everything else only seems to happen unhibited a bit over the legal limit on Corona or tequila, in the movies, in books, on television and in pornos where the actors have to act like they're hot for each other, and with a stage crew looking on. I saw two young gals new to porno acting being interviewed on TV, and one said it was the cash for her new Mercedes that got her hot and thinking erotic. Make a date to meet your sweety where you make reservations and come in looking drop-dead gorgeous so that you turn heads and make that the last time for weeks that you see he gets a meal unless he's interested in you. IF you're predictible, then you are "mama" to him. You're Savvy, and he needs to remember that, and that others are turning heads your direction where he can actually take note of that. A man needs to feel he has a woman others are interested in when he's looking at porno instead of you. You don't have to dress like a porno star, just out-class them with something real. Rent Mr. and Mrs. Jones and watch something smoldering that turned into something in real life. It's over the top for most folks, but even half as much would keep some couples wired for each other. You might not think of yourself as bold, but for the right lover, you'll sizzle ...... Rennie
<HR>
From: <a href="/blend/av.cgi?id=1875">john67ragtop</a><BR>
Date: 4 June 2008<P>

kirk, thank you much for the front page pick!  i appreciate it greatly.<BR>
<BR>
i need some help.  about a year or so ago, a piece was posted that referred to "our love" being compared to the great loves of the world including romeo and juliet...it also said something about them sitting around a campfire as they spoke of their love.  <BR>
<BR>
i have searched for this piece relentlessly and to no avail.  does anyone know how i might find it?  any help is appreciated!<BR>
<BR>
john
<HR>
From: <a href="/blend/av.cgi?id=1">Kirk, Blender-Keeper</a><BR>
Date: 4 June 2006<P>

Is it <a href="/blend/wv.cgi?id=2006.08.20.12.03.518">When they tell Our Story</a> ?<BR>
<BR>
(I did a google search for "romeo" on the site - no fire, just a circle...)
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 4 June 2006<P>

i'm just him, about <a href="/blend/wv.cgi?id=2006.08.20.12.03.518">When they tell Our Story</a>:<BR>
<BR>
I;m Just Him; Good lord this is magic and you are missed here. Where are you anyway?<BR>
<BR>
Jack; This includes you too boo boo? Time to climb back in and say howdy.<BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 4 June 2008<P>

Savannah: Yep I'll second what Rens says. Set a limit as to how long you will take any more of this and prepare your escape if all else fails. <BR>
<BR>
bk
<HR>